Bug 455120

Summary: udev rule doesn't autodetect md raid arrays
Product: [Fedora] Fedora Reporter: Jón Fairbairn <jon.fairbairn>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-28 12:12:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jón Fairbairn 2008-07-12 06:00:21 EDT
Description of problem:

I have a system with several raid partitions (/home and some
others not, currently, root or boot) In Fedora 7 I could
boot the system without an mdadm.conf (why should I write
one? It should be automatic). With Fedora 9 the system won't
boot with the default init scripts.

Version-Release number of selected component (if applicable):
udev-124-1.fc9.2.x86_64
also
mdadm-2.6.4-4.fc9.x86_64
mdadm-2.6.7-1.fc9.x86_64 does not solve the problem

How reproducible:
Always

Steps to Reproduce:
1. create some md raid partitions (not partitionable raid)
2. put them in /etc/fstab to mount marked for fsck at boot
3. reboot
  
Actual results:
boot dies at fsck

Expected results:
raid arrays should be detected, mounted and fscked

Additional info:
To work around the problem I've put the line 

    mdadm --auto-detect

in /etc/rc.sysinit 

This might be a bug in mdadm:
/etc/udev/rules.d/64-md-raid.rules is owned by udev, but
/etc/udev/rules.d/70-mdadm.rules is owned by mdadm.

May be related to Bug #447818, but I don't have
partitionable arrays. Also Bug #444237, but I've never
needed an mdadm.conf file in the past.
Comment 1 Bug Zapper 2009-06-09 22:03:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jón Fairbairn 2009-06-28 12:12:58 EDT
Since installation of Fedora 11 detected the raid arrays correctly (and created /etc/mdadm.conf properly), I reckon this is done with.